--- /dev/null
+#!/bin/sh
+# $Id$
+LOGFILENAME=LOG
+if [ -f $LOGFILENAME ]
+then
+ egrep -i "error|fail|\*[^.]" $LOGFILENAME
+else
+ echo
+ echo "No $LOGFILENAME file found."
+ echo "To generate a $LOGFILENAME file, run 'make' like this:"
+ echo
+ echo " make all 2>&1 | tee $LOGFILENAME"
+ echo
+ exit 1
+fi
--- /dev/null
+#!/bin/sh
+# $Id$
+if [ -z "$(svn status | egrep '^\?|^X')" ]
+then
+ svn-clean
+else
+ echo
+ echo "Unversioned files found. Before building, either delete the"
+ echo "following files, add them to the repository, or add them to"
+ echo "the svn:ignore properties for their parent directories."
+ echo
+ svn status | egrep '^\?|^X' | cut -c2-
+ exit 1
+fi